<?php 
require_once( "db.php" );

 class Behaviour extends Db {
	public $id;
	public $masterid;
	public $year;
	public $term;
	public $class;
	public $rem;
	public $rating;
	public $admissionno;
	public $pc;
	public $pa;
	public $ca;
	public $nt;
	public $ne;
	public $hs;
	public $fm; 
	public $tuition;
	public $pta;
	public $tuitionsen;
	public $rid;
	public $session1;
	public $term1;
	public $date1;
	public $pic;
	
	
	 
	
	
	public function __construct() {

   } 
   
   
   public function addBehaviour($bid,$masterid, $year, $term, $class, $rem, $rating, $admissionno){
	   $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
	 
	 $sql = "INSERT into behaviour (bid,masterid,year,term,class,rem,rating,admissionno)
	  VALUES (:bid,:masterid,:year,:term,:class,:rem,:rating,:admissionno)";
	  
	  $statement = $MySQLiconn->prepare($sql);
	  $statement->bindValue(':bid',$bid);
	  $statement->bindValue(':masterid',$masterid);
	  $statement->bindValue(':year',$year);
	  $statement->bindValue(':term',$term);
	  $statement->bindValue(':class',$class);
	  $statement->bindValue(':rem',$rem);
	  $statement->bindValue(':rating',$rating);
	  $statement->bindValue(':admissionno',$admissionno);
	 
	  $statement->execute();
	   parent::DisConnect( $MySQLiconn);	 	 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
	  
	   
	   }
	   
	   
	public function addPsycho($bid,$masterid, $year, $term, $class, $rem, $rating, $admissionno){
	   $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
	 
	 $sql = "INSERT into psycho (bid,masterid,year,term,class,rem,rating,admissionno)
	  VALUES (:bid,:masterid,:year,:term,:class,:rem,:rating,:admissionno)";
	  
	  $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':bid',$bid);
	  $statement->bindValue(':masterid',$masterid);
	  $statement->bindValue(':year',$year);
	  $statement->bindValue(':term',$term);
	  $statement->bindValue(':class',$class);
	  $statement->bindValue(':rem',$rem);
	  $statement->bindValue(':rating',$rating);
	  $statement->bindValue(':admissionno',$admissionno);
	  $statement->execute();
	   parent::DisConnect( $MySQLiconn);	 	 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
	  
	   
	   }
	   
	   
	   
	     public function findBehaviourByMasteridRemarks($masterid){
		   
		    $instance = parent::getInstance();
		
     $MySQLiconn  = $instance->getConnection();
	 $sql = "SELECT * from behaviour WHERE masterid = :masterid  ";
	 
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':masterid',$masterid);
	 $statement->execute();
	 return $statement;
	  parent::DisConnect( $MySQLiconn);
	 
		   
		   }
	   
	   
	   
	   
	   public function findBehaviourByMasterid($masterid){
		   
		    $instance = parent::getInstance();
		
     $MySQLiconn  = $instance->getConnection();
	 $sql = "SELECT * from behaviour WHERE masterid = :masterid LIMIT 9 ";
	 
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':masterid',$masterid);
	 $statement->execute();
	 return $statement;
	  parent::DisConnect( $MySQLiconn);
	 
		   
		   }
		   
		   

		 public function findBehaviourByMasterid2($masterid){
		   
		    $instance = parent::getInstance();
		
     $MySQLiconn  = $instance->getConnection();
	 $sql = "SELECT * from behaviour WHERE masterid = :masterid LIMIT 8 OFFSET 9";
	 
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':masterid',$masterid);
	 $statement->execute();
	 return $statement;
	  parent::DisConnect( $MySQLiconn);
	 
		   
		   }   
		   
		   
		   
		  public function findPsychoByMasterid($masterid){
		   
		    $instance = parent::getInstance();
		
     $MySQLiconn  = $instance->getConnection();
	 $sql = "SELECT * from psycho WHERE masterid = :masterid";
	 
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':masterid',$masterid);
	 $statement->execute();
	 return $statement;
	  parent::DisConnect( $MySQLiconn);
	 
		   
		   }  
		   
		   
		   public function updateBehaviour($bid,$rating){
			
		    $instance = parent::getInstance();
		
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'UPDATE behaviour SET rating = :rating WHERE bid = :bid';
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':bid',$bid);
	 $statement->bindValue(':rating',$rating);
	 $statement->execute();
	 parent::DisConnect( $MySQLiconn);
	    
			   }
		   
		   
	 public function updatePsycho($bid,$rating){
			
		    $instance = parent::getInstance();
		
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'UPDATE psycho SET rating = :rating WHERE bid = :bid';
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':bid',$bid);
	 $statement->bindValue(':rating',$rating);
	 $statement->execute();
	 parent::DisConnect( $MySQLiconn);
	    
			   }	
			   
	public function viewBehaviourByLevel($level){
		$instance = parent::getInstance();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'SELECT * from rem WHERE level = :level';
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':level',$level);
	 $statement->execute();
	 return $statement;
	 parent::DisConnect( $MySQLiconn);
	 
		}		      
		   
		
		
	public function viewPsychoTraitByLevel($level){
		$instance = parent::getInstance();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'SELECT * from psyc WHERE level = :level';
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':level',$level);
	 $statement->execute();
	 return $statement;
	 parent::DisConnect( $MySQLiconn);
	 
		}		
		
		
	
	public function AddRemarksToMasterjunior($masterid,$pc,$ca,$nt,$ne, $ta,$hs,$fm){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE masterjunior set pc = :pc, ca = :ca, nt = :nt, ne = :ne, ta = :ta, hs = :hs, fm = :fm WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':pc',$pc);
		 $statement->bindValue(':ca',$ca);
		 $statement->bindValue(':nt',$nt);
		 $statement->bindValue(':ne',$ne);
		  $statement->bindValue(':ta',$ta);
		 $statement->bindValue(':hs',$hs);
		 $statement->bindValue(':fm',$fm);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
		   
	
	public function AddRemarksToMasterNursery($masterid,$nob,$nt,$ne, $notp,$note,$fm,$pc,$hs){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE masternursery set nob = :nob, nt = :nt, notp = :notp, ne = :ne, note = :note,  fm = :fm, pc =:pc, hs = :hs 
		 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':nob',$nob);
		 $statement->bindValue(':notp',$notp);
		 $statement->bindValue(':nt',$nt);
		 $statement->bindValue(':ne',$ne);
		  $statement->bindValue(':note',$note);
		 
		$statement->bindValue(':fm',$fm);
		$statement->bindValue(':pc',$pc);
		$statement->bindValue(':hs',$hs);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  
	 
	  public function AddRemarksToMasterPlay($masterid,$nob,$nt,$ne, $notp,$note,$fm,$pc,$hs){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE masterplay set nob = :nob, nt = :nt, notp = :notp, ne = :ne, note = :note,  fm = :fm, pc =:pc, hs = :hs 
		 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':nob',$nob);
		 $statement->bindValue(':notp',$notp);
		 $statement->bindValue(':nt',$nt);
		 $statement->bindValue(':ne',$ne);
		  $statement->bindValue(':note',$note);
		 
		$statement->bindValue(':fm',$fm);
		$statement->bindValue(':pc',$pc);
		$statement->bindValue(':hs',$hs);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  
	  
	  
	  
	  
	  
	  
	  
	
	
	
	 
	  
	  
	  
	  
		   
	
	
	
	public function AddRemarksToMastersheet($masterid,$nob,$nt,$ne, $notp,$note,$fm,$pc,$hs){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE mastersheet set nob = :nob, nt = :nt, notp = :notp, ne = :ne, note = :note,  fm = :fm, pc =:pc, hs = :hs 
		 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':nob',$nob);
		 $statement->bindValue(':notp',$notp);
		 $statement->bindValue(':nt',$nt);
		 $statement->bindValue(':ne',$ne);
		  $statement->bindValue(':note',$note);
		 
		$statement->bindValue(':fm',$fm);
		$statement->bindValue(':pc',$pc);
		$statement->bindValue(':hs',$hs);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
		   //($param,$fm,$notp,$note,$nob);
	
public function AddRemarksToMastersheetSenior($masterid,$fm,$notp,$note,$nob){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE mastersenior set nob = :nob, notp = :notp,  note = :note,  fm = :fm
		 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':nob',$nob);
		 $statement->bindValue(':notp',$notp);
		
		  $statement->bindValue(':note',$note);
		 
		$statement->bindValue(':fm',$fm);
		
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  
	  
	  
	  public function AddRemarksToMastersheetJunior($masterid,$fm,$notp,$note,$nob){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE masterjuniortotal set nob = :nob, notp = :notp,  note = :note,  fm = :fm
		 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':nob',$nob);
		 $statement->bindValue(':notp',$notp);
		
		  $statement->bindValue(':note',$note);
		 
		$statement->bindValue(':fm',$fm);
		
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  
	  
	  
	  
	  
	  
	  public function addTuitionAndResumption($rid,$session,$term,$level,$nt,$tuition,$pta,$tuitionsen,$date){
		   $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'INSERT into otherinfo (rid,session,term,level,nt,tuition,pta,tuitionsen,date) VALUES (:rid,
	 :session,:term, :level,:nt,:tuition,:pta,:tuitionsen,:date)';
	 
	 $statement = $MySQLiconn->prepare($sql);
	 
		$statement->bindValue(':rid',$rid);
		 $statement->bindValue(':session',$session);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':level',$level);
		 $statement->bindValue(':nt',$nt);
		  $statement->bindValue(':tuition',$tuition); 
		  $statement->bindValue(':pta',$pta);
		   $statement->bindValue(':tuitionsen',$tuitionsen);
		  $statement->bindValue(':date',$date);
		   $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	
		  
		  
		  }
		   
		
	public function checkAddTuitionAndResumption($rid)
	{
		 $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 
	 $sql = 'select * from otherinfo WHERE rid = :rid';
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':rid',$rid);
	 $statement->execute();
	 
	 
	  $num = $statement->rowCount();
	 
 
    return $num;
	 parent::DisConnect( $MySQLiconn);	
	 
		}
		
		
   public function updateTuitionAndResumption($rid,$tuition,$tuitionsen,$pta,$nt){
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 
	 $sql = 'UPDATE otherinfo SET nt = :nt, tuition = :tuition, tuitionsen = :tuitionsen,
	 pta = :pta WHERE rid = :rid ';  
	  $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':rid',$rid);
		
		 $statement->bindValue(':nt',$nt);
		  $statement->bindValue(':tuition',$tuition); 
		  $statement->bindValue(':pta',$pta);
		   $statement->bindValue(':tuitionsen',$tuitionsen);
		    $statement->execute();
		   parent::DisConnect( $MySQLiconn);
	   }		
		   
      
      public function selectTuitionAndResumption(){
		   $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'select * from otherinfo ORDER BY date DESC ';
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->execute();
	 return $statement;
	 parent::DisConnect( $MySQLiconn);
		  }
		  
		  public function selectTuitionForResults($session,$term)
		  {
			 $instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
	     $sql = 'select * from otherinfo WHERE session = :session AND term = :term';
		 
			 $statement = $MySQLiconn->prepare($sql);
			  $statement->bindValue(':session',$session);
		 $statement->bindValue(':term',$term);
	 $statement->execute();
	 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->nt = $row['nt'];
	   $this->tuition =$row['tuition'];
	   $this->tuitionsen = $row['tuitionsen'];
	   $this->pta = $row['pta'];
	    $this->rid = $row['rid'];
	   parent::DisConnect( $MySQLiconn);
			  }
			  
			  
	
	
	   public function selectTuitionForUpdate($rid)
		  {
			 $instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
	     $sql = 'select * from otherinfo WHERE rid = :rid';
		 
			 $statement = $MySQLiconn->prepare($sql);
			  $statement->bindValue(':rid',$rid);
		
	 $statement->execute();
	 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->nt = $row['nt'];
	   $this->tuition =$row['tuition'];
	   $this->tuitionsen = $row['tuitionsen'];
	   $this->pta = $row['pta'];
	    $this->rid = $row['rid'];
		$this->session1 = $row['session'];
		 $this->term1 = $row['term'];
		 $this->date1 = $row['date'];
	   parent::DisConnect( $MySQLiconn);
			  }
			  
			  
	public function addStamp($id,$date,$pic){
	$instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
		  
	$sql = 'INSERT into stamp1 (id,date,pic) VALUES (:id,:date,:pic)';	  
	$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':id',$id);
		$statement->bindValue(':date',$date);
		$statement->bindValue(':pic',$pic);
	 $statement->execute();
	 parent::DisConnect( $MySQLiconn);
		  
	
		
		}		  
			  
	public function updateStamp($id,$pic){
		$instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
		
		$sql = 'UPDATE stamp1 SET pic = :pic WHERE id = :id'; 
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':id',$id);
		$statement->bindValue(':pic',$pic);
	 $statement->execute();
	 parent::DisConnect( $MySQLiconn);
		  
		}
		
		public function selectStamp($id){
		$instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
		  
		  
		  $MySQLiconn  = $instance->getConnection();
	     $sql = 'select * from stamp1 WHERE id = :id';
		 
			 $statement = $MySQLiconn->prepare($sql);
			  $statement->bindValue(':id',$id);
		
	 $statement->execute();
	 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->pic = $row['pic'];
	   $this->date1 = $row['date'];
		 parent::DisConnect( $MySQLiconn); 	
			}
			
			
	
	public function checkStamp($id)
	{
		 $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 
	 $sql = 'select * from stamp1 WHERE id = :id';
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':id',$id);
	 $statement->execute();
	 
	 
	  $num = $statement->rowCount();
	 
 
    return $num;
	 parent::DisConnect( $MySQLiconn);	
	 
		}
	
	
	 public function selectStamForUpdating(){
		   $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'select * from stamp1 ORDER BY date DESC ';
	 $statement = $MySQLiconn->prepare($sql);
	 $statement->execute();
	 return $statement;
	 parent::DisConnect( $MySQLiconn);
		  }



        public function selectPortalStudent($id){
		$instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
		  
		  
		  $MySQLiconn  = $instance->getConnection();
	     $sql = 'select * from closestudent WHERE id = :id';
		 
			 $statement = $MySQLiconn->prepare($sql);
			  $statement->bindValue(':id',$id);
		
	 $statement->execute();
	 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   
	   $this->status1 = $row['status'];
		 parent::DisConnect( $MySQLiconn); 	
			}
		
		
		public function selectPortalStaff($id){
		$instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
		  
		  
		  $MySQLiconn  = $instance->getConnection();
	     $sql = 'select * from closestaff WHERE id = :id';
		 
			 $statement = $MySQLiconn->prepare($sql);
			  $statement->bindValue(':id',$id);
		
	 $statement->execute();
	 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   
	   $this->status2 = $row['status'];
		 parent::DisConnect( $MySQLiconn); 	
			}	
			
	

       public function updatePortalStaff($id,$status){
		$instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
		
		$sql = 'UPDATE closestaff SET status = :status WHERE id = :id'; 
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':id',$id);
		$statement->bindValue(':status',$status);
	 $statement->execute();
	 parent::DisConnect( $MySQLiconn);
		  
		}
		
		
   
   public function updatePortalStudent($id,$status){
		$instance = parent::getInstance();
		// $instance = new DBAccess();
          $MySQLiconn  = $instance->getConnection();
		
		$sql = 'UPDATE closestudent SET status = :status WHERE id = :id'; 
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':id',$id);
		$statement->bindValue(':status',$status);
	 $statement->execute();
	 parent::DisConnect( $MySQLiconn);
		  
		}
 

 
 public function AddRemarksPrincipalToMastersheetJunior($masterid,$hs,$status1){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE masterjuniortotal set hs = :hs, status1 = :status1
		 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':hs',$hs);
		 $statement->bindValue(':status1',$status1);
		
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  

  
    
public function AddRemarksToPrincipalMastersheetSenior($masterid,$hs,$status1){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE mastersenior set hs = :hs, status1 =:status1
		 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':hs',$hs);
		 $statement->bindValue(':status1',$status1);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  
  	  
	   public function getStudentForPromotion($admissionno, $year){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "SELECT  * from studentrecord WHERE year = :year AND admissionno = :admissionno ";
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':admissionno',$admissionno);
	    $statement->bindValue(':year',$year);
		
		$statement->execute();
		
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		
		$this->class1 = $row['class'];
		$this->classnum = $row['classnum'];
		$this->class2 = $row['class2'];
		
		
		
		 parent::DisConnect( $MySQLiconn);
		
		
		}  
		
	
		
	
	public function updateJuniorAnnualPositionPromoted($masterid, $promoted){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterjuniortotal SET   promoted = :promoted  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   
		$statement->bindValue(':promoted',$promoted);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}
	  
	  
	
	
	public function updateSeniorAnnualPositionPromoted($masterid, $promoted){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE mastersenior SET   promoted = :promoted  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   
		$statement->bindValue(':promoted',$promoted);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}
			
			  
	 
 }

?>